Subject: Re: X Windows
From: [email-masked] (Arlindo da Silva)

28 Mar 1997 02:04:05 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Phil Dooley)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Phil Dooley" at Mar 27, 97 08:47:39 am
X-Mailer: ELM [version 2.4 PL21]
Original-Sender: [email-masked]

Dear Phil,

>     I've been following the the threads on GNU-Win32 about X. I've used the 
> X Server on my NT box to a Unix box by microimages and it seems to work
> quite well. What I'm looking for now is to be able to run apps on my NT box
> and be able to view/control them on another NT box or Unix box via X
> windows. Have you been able to accomplish that by compiling the X11R6.3
> source? 

I haven't tried it, but I couldn't imagine why it wouldn't work.

> Anyway, would you mind sharing your compiled binaries? Thanks very much.

Sure, no problem, take a look at:

   ftp://niteroi.gsfc.nasa.gov/pub/win32/X11R6.3/

There is a README file with a short roadmap; I also included the 'tetris'
program as an example. Keep in mind that the only library that I have tested
is libX11.a, I have no idea whether the Athena widgets and such works. Many
of the clients I built, although "ld" linking fine, cannot be run. In such
cases you get the informative error message from win95:

               Unable to run XCLOCK.EXE

In some other cases it complains about invalid EXE format.  I have no clue
of what is going on. In any event, I delete these problem executables from
the tar file.

There are a few minor glitches with libX11.a such as skipping or mis-queueing
some X events. Also, system() works fine on my win95 box, but crashes on my
collaborator's NT box. I don't know if this is X11R6.3 related, but it could
be.

  Enjoy.

-- 

   *-----------------------------------------------------------------*
   |                                                                 |
   |             ^|^                     ARLINDO DA SILVA            |
   |              |                     212 Lexington Drive          |
   |             _|_                  Silver Spring, MD 20901        |
   |      @  ___|___|__                                              |
   |     _|_|__________|_______/    mailto://[email-masked]    |
   |    \  o o o o o o o  /                                          |
   |     \_______________/            Home: (301) 754-1121           |
   |  ^^^^^^^^^^^^^^^^^^^^^^^^         FAX: (301) 805-7959           |
   |                                                                 |
   *-----------------------------------------------------------------*

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".